Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 163816 - CAN-2005-2335 fetchmail overflow from malicious pop3 server
Summary: CAN-2005-2335 fetchmail overflow from malicious pop3 server
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: fetchmail
Version: 4.0
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
: ---
Assignee: Miloslav Trmač
QA Contact: Brock Organ
URL:
Whiteboard: impact=important,reported=20050721,pu...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-21 12:41 UTC by Mark J. Cox
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-25 19:43:31 UTC


Attachments (Terms of Use)
Proposed patch from SUSE (deleted)
2005-07-21 12:41 UTC, Mark J. Cox
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:640 important SHIPPED_LIVE Important: fetchmail security update 2005-07-25 04:00:00 UTC

Description Mark J. Cox 2005-07-21 12:41:05 UTC
We were alerted today to a Debian bug report showing a flaw where a malicious
POP3 server could overflow a stack buffer in fetchmail.

Draft advisory at http://fetchmail.berlios.de/fetchmail-SA-2005-01.txt

More details at end of http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=212762

Most likely also affects RHEL3 and RHEL2.1 (although code in RHEL2.1 is
substantially different).

Comment 1 Mark J. Cox 2005-07-21 12:41:05 UTC
Created attachment 117020 [details]
Proposed patch from SUSE

Comment 3 Tomas Mraz 2005-07-21 13:24:38 UTC
Yep, this bug applies to RHEL2.1 as well. File pop3.c line 540.


Comment 4 Mark J. Cox 2005-07-25 07:52:41 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-640.html

Comment 6 Charlie Brady 2005-07-28 03:03:36 UTC
Summary is wrong, CVE number is CAN-2005-2355, not CAN-2005-2335.

Comment 7 Charlie Brady 2005-07-28 03:06:41 UTC
Sorry, I was wrong.  CAN-2005-2335 *is* correct. FC3 advisory was incorrect.


Note You need to log in before you can comment on or make changes to this bug.